Add a knowledge base item
POST
Add an item to the organization knowledge base.
Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
- body
url?stringFormat
uriLength
length <= 2048text?stringLength
1 <= length <= 10000file?|||||||||||||||||||||||||Format
binaryLength
length <= 52428800OK
application/json- response
item*curl -X POST 'https://api.orvelt.com/v1/kb' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"item": {
"id": "string",
"organizationId": "string",
"storageOwner": "admin",
"link": "http://example.com",
"title": "string",
"description": "string",
"markdown": "string",
"markdownKey": "string",
"metadataKey": "string",
"contentLength": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}